import Blender
import bpy
import random

max_sizex = Blender.Draw.Create(5)
max_sizey = Blender.Draw.Create(5)
max_h = Blender.Draw.Create(10)
width = Blender.Draw.Create(0.2)
posx = Blender.Draw.Create(0)
posy = Blender.Draw.Create(0)

editmode = Blender.Window.EditMode()
if editmode: Blender.Window.EditMode( 0 )
	
	
	
def cube( posx , posy , height ):
	posz = 0
	size = width.val/2
	
	coord = [[0,0,0],
					 [posx+size,posy-size,posz+height],
					 [posx+size,posy+size,posz+height],
					 [posx+size,posy+size,posz-0],
					 [posx+size,posy-size,posz-0],
					 [posx-size,posy-size,posz+height],
					 [posx-size,posy+size,posz+height],
					 [posx-size,posy+size,posz-0],
					 [posx-size,posy-size,posz-0]]

	faces = [
						[1,2,6,5]
						,[1,2,3,4]
					  ,[6,5,8,7]
						,[3,2,6,7]
					  ,[4,3,7,8]
					  ,[4,1,5,8]
					]
					
	me = bpy.data.meshes.new('SupaCube')
	
	me.verts.extend( coord )
	me.faces.extend( faces )
	
	me.vertexColors = 1
	
	me.faces[0].col[0].r = 255
	me.faces[0].col[1].g = 255
	me.faces[0].col[2].b = 255
	
	scn = bpy.data.scenes.active
	ob = scn.objects.new( me , 'myObj' )

block = []

block.append(("That Nice!!!"))
block.append(("Map Size X: ", max_sizex, 0 , 100 ))
block.append(("Map Size y: ", max_sizey, 0 , 100 ))
block.append(("Box Height :", max_h , 0 , 100))
block.append(("Box Width :" , width , 0.0 , 20.0 ))
block.append(("Position X : " , posx , -100 , 100 ))
block.append(("Position Y : " , posy , -100 , 100 ))
 

retval = Blender.Draw.PupBlock("PupBlock test", block) 

#draw all towers
for x in xrange(0,int(max_sizex.val)):
	for y in xrange(0,int(max_sizey.val)):
		cube( posx.val + (x*width.val) , posy.val + (y*width.val) , random.randint(0,max_h.val)*random.random() )

if editmode: Window.EditMode(1)


